<?php


namespace Xigen\MaintenancePage\Controller\Adminhtml;

/**
 * Class Maintenance
 * @package Xigen\MaintenancePage\Controller\Adminhtml
 */
abstract class Maintenance extends \Magento\Backend\App\Action
{
    const ADMIN_RESOURCE = 'Xigen_MaintenancePage::top_level';

    /**
     * @var \Magento\Framework\Registry
     */
    protected $_coreRegistry;

    /**
     * Maintenance constructor.
     * @param \Magento\Backend\App\Action\Context $context
     * @param \Magento\Framework\Registry $coreRegistry
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\Registry $coreRegistry
    ) {
        $this->_coreRegistry = $coreRegistry;
        parent::__construct($context);
    }

    /**
     * Init page
     * @param \Magento\Backend\Model\View\Result\Page $resultPage
     * @return \Magento\Backend\Model\View\Result\Page
     */
    public function initPage($resultPage)
    {
        $resultPage->setActiveMenu(self::ADMIN_RESOURCE)
            ->addBreadcrumb(__('Xigen'), __('Xigen'))
            ->addBreadcrumb(__('Maintenance'), __('Maintenance'));
        return $resultPage;
    }
}
